import { Role, Selector } from 'testcafe';

export const AppsPage = {
  pictoryButton: Selector('#buttPiCtory'),
};

export const LoginPage = {
  usernameInput: Selector('#inpLoginEMail'),
  passwordInput: Selector('#inpLoginPW'),
  loginButton: Selector('#buttLogin'),
};

export const getAdminUser = (loginUrl: string, password: string) =>
  Role(loginUrl, async (t) => {
    await t
      .typeText(LoginPage.usernameInput, 'admin')
      .typeText(LoginPage.passwordInput, password)
      .click(LoginPage.loginButton);
  });
